package com.capgemini.framework.teamcenter.resolution.filtering;

/**
 * Filter that accepts everything. obtain an instance through {@link AllFilter#getInstance()}.
 */
public final class AllFilter implements ITcTypeFilter {

    private static final AllFilter INSTANCE = new AllFilter();

    private AllFilter() {
        // Just making it singleton
    }

    /**
     * Returns the (unique) instance of this filter, which accepts everything.
     *
     * @return the instance of {@link AllFilter}.
     */
    public static AllFilter getInstance() {
        return INSTANCE;
    }

    @Override
    public boolean isExcluded(final String type) {
        return false;
    }

    @Override
    public boolean isIncluded(final String type) {
        return true;
    }

}
